/********************************************************************
 * Copyright © 2004 EDS. All rights reserved
 ********************************************************************/
package gov.va.med.esr.messaging.service.inbound;

// Framework Classes
import gov.va.med.esr.common.model.messaging.MessageLogEntry;
import gov.va.med.esr.common.model.person.Person;
import gov.va.med.fw.hl7.Message;

// Messaging Classes

/**
 * Class to process ACK message.
 * 
 * @author Alex Yoon
 * @version 1.0
 */
public class ACKProcessService
    extends AbstractInboundProcessService
{
    /**
     * Default constructor.
     */
    public ACKProcessService()
    {
        super();
    }

    protected final MessageLogEntry doProcessMessage(
        Person person,
        Message message,
        String formattedBody) throws InboundProcessException
    {
    	/* since all this does is log acknowledgment, that is not needed since it is
    	 * already doing this via wired in SolicitedInboundProcessService 
        try
        {
            super.logAcknowledgment(message, super
                .getReferencedMessageLogEntry(message));
        }
        catch(ServiceException e)
        {
            if(super.logger.isErrorEnabled())
            {
                super.logger.error("Failed to log acknowledgment", e);
            }

            throw new InboundProcessException(null, e.getMessage(), e);
        }*/

        return null;
    }
}